FreeBSD : bzip2 -- integer overflow vulnerability (0ddb57a9-da20-4e99-b048-4366092f3d31)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Secunia reports :

A vulnerability has been reported in bzip2, which can be exploited by
malicious people to cause a DoS (Denial of Service) or potentially
compromise a vulnerable system.

The vulnerability is caused due to an integer overflow in the
'BZ2_decompress()' function in decompress.c and can be exploited to
cause a crash or potentially execute arbitrary code.

See also :

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=151364
http://www.openwall.com/lists/oss-security/2010/09/21/4
http://www.nessus.org/u?3db7bb3e

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 3.8
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 50328 ()

Bugtraq ID: 43331

CVE ID: CVE-2010-0405

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now